This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 246435 - Suspend / Resume on a Dell D420 doesnt work
Suspend / Resume on a Dell D420 doesnt work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-02 04:15 EDT by Patrick Steiner
Modified: 2013-03-05 22:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-15 16:42:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick Steiner 2007-07-02 04:15:15 EDT
I have played around now for hours with suspend resume on my Dell D420

I have also tried s2ram from opensuse which works fine with FC6.

But now with F7 i can get suspend/resume working anymore.

i have already looked at http://people.freedesktop.org/~hughsient/quirk

enabling pm_trace outputs:

cat dmesg.txt | grep "hash matches"
  hash matches drivers/base/power/resume.c:70

what does this mean.
iwl3945 mac80211 are already in unload_modules.

has anyone a d420 with f7 and a working suspend/resume setup?
Comment 1 Patrick Steiner 2007-07-02 04:47:20 EDT
i have now removed
<merge key="power_management.quirk.vbestate_restore" type="bool">true</merge>
from the fdi file because i use the intel video driver.


now it look like this

<match key="system.hardware.product" contains="D420">
<merge key="power_management.quirk.vbe_post" type="bool">true</merge>
</match>

i have restarted the hal service but lshal | grep quirk
always outputs:
 lshal | grep quirk
  power_management.quirk.vbe_post = true  (bool)
  power_management.quirk.vbestate_restore = true  (bool)


also after a system reboot. any ideas?
Comment 2 Jørgen Andreas Michaelsen 2007-07-05 09:27:47 EDT
Booting the 2.6.20-1.2952.fc6 makes suspend/resume to ram work on my d420. The
2.6.21-1.3228.fc7 does not work (hibernate works though).
Comment 3 Kyrre Ness Sjøbæk 2007-07-26 21:15:34 EDT
I have a D520/intel 945 which suspends pretty fine, but the display is off when
it  resumes. "Fix" is to go to VT1 (control-alt-f1) -> hit Fn+F8 (the
CRT/LCD-button) -> back to X (control-alt-f7). This gives me my display back.

I think i've also seen it happen when the screen has been suspended/powered down.

I'm posting in this thread because of the talk about intel video etc.

I suspended via System->suspend in the gnome menu.

Jørgen: I'm also a UiO student, you can contact me directly at
kyrrens@student.matnat.you.know.the.rest
Comment 4 Till Maas 2007-09-13 01:27:13 EDT
What is the output of the following command?
lshal | egrep "(system.hardware.(product|vendor|version)|smbios.bios.version)"

Maybe your system matches for several rules in the fdi, where one enables
vbestate_restore.

The fdi files belong to hal-info, maybe someone maintaining hal-info knows more.
Therefore I changed the component to hal-info for this bug.

Comment 5 Bug Zapper 2008-05-14 09:23:07 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Richard Hughes 2008-05-30 07:48:04 EDT
Please see http://people.freedesktop.org/~hughsient/quirk/ - does that help?
Comment 7 Patrick Steiner 2008-06-06 04:07:21 EDT
i switched to fedora 9, now suspend / resume works perfect
Comment 8 Peter van Egdom 2008-06-15 16:42:46 EDT
Thank you for reporting back. Closing bug as per comment #7.
Comment 9 Kyrre Ness Sjøbæk 2008-07-30 16:09:39 EDT
Installed Fedora 9, and now the bug is back - probably because the quirks got
lost after the reinstall (I edited some xml-file on fedora 7 to make it do the
quirks)

Please reopen this bug.
Comment 10 Till Maas 2008-07-30 16:54:46 EDT
(In reply to comment #9)
> Installed Fedora 9, and now the bug is back - probably because the quirks got
> lost after the reinstall (I edited some xml-file on fedora 7 to make it do the
> quirks)
> 
> Please reopen this bug.

Imho it would be better if you figure out which quirks need to be used (after I
read the comments here, I am not sure what you changed in your xml file) and
submit it to the maintainers of these xml files, here is a howto:

http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-report.html

Note You need to log in before you can comment on or make changes to this bug.